Skip site navigation (1)Skip section navigation (2)
Date:      Sun, 8 Feb 2015 09:30:16 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r278375 - user/pho/stress2/misc
Message-ID:  <201502080930.t189UG8s053736@svn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Sun Feb  8 09:30:15 2015
New Revision: 278375
URL: https://svnweb.freebsd.org/changeset/base/278375

Log:
  Added findings, speed up the hunt for the fsx source and
  poll for fsx termination.
  
  Sponsored by:	 EMC / Isilon storage division

Modified:
  user/pho/stress2/misc/umountf2.sh

Modified: user/pho/stress2/misc/umountf2.sh
==============================================================================
--- user/pho/stress2/misc/umountf2.sh	Sun Feb  8 09:28:55 2015	(r278374)
+++ user/pho/stress2/misc/umountf2.sh	Sun Feb  8 09:30:15 2015	(r278375)
@@ -32,15 +32,19 @@
 
 # Test problems with "umount -f and fsx. Results in a "KDB: enter: watchdog timeout"
 
+# http://people.freebsd.org/~pho/stress/log/kostik745.txt
+# Fixed by r275743
+
 [ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
 
-fsxc=`find -x / /usr/src -name fsx.c | tail -1`
+. ../default.cfg
+
+fsxc=`find -x /usr/src -name fsx.c | tail -1`
+[ -z "$fsxc" ] && fsxc=`find -x / -name fsx.c | tail -1`
 [ -z "$fsxc" ] && exit
 
 cc -o /tmp/fsx $fsxc
 
-. ../default.cfg
-
 D=$diskimage
 dede $D 1m 1k || exit 1
 
@@ -55,10 +59,14 @@ sleep 5
 for i in `jot 100`; do
 	/tmp/fsx -S $i -q ${mntpoint}/xxx$i > /dev/null &
 done
-sleep 30 
+sleep 30
 umount -f $mntpoint &
-sleep 300
-killall fsx
+for i in `jot 10`; do
+	sleep 30
+	pgrep -q fsx || break
+done
+pgrep -q fsx && echo FAIL && pkill fsx
 sleep 5
+wait
 mdconfig -d -u $mdstart
 rm -f $D /tmp/fsx



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201502080930.t189UG8s053736>